#import <appkit/appkit.h>

/*
DrawView:
	Subclasses from View:Responder:Object
	August 5, 1993
	Sean Luke
	
DrawView stores, manages, and displays DrawCells, to create a draw-program-like
environment.  It handles events and passes these to the DrawCells, which deal
with them as they like.
*/


@interface DrawView:View	
	{
	id	cell_list;								// list of all cells
	}

- initFrame:(const NXRect *) newFrame; 				// overloads View's 
													// standard constructor
- drawSelf:(const NXRect*) rects:(int) rectCount;	// draws the cells
- mouseDown:(NXEvent*) theEvent;					// passes mouseDown events
- mouseDragged:(NXEvent*) theEvent;					// ... etc.
- mouseUp:(NXEvent*) theEvent;						// ... etc.

@end