#import "DrawCell.h"		// which imports appkit

/*
IconCell:
	Subclasses from DrawCell:Object
	August 5, 1993
	Sean Luke
	
Draws an icon object to be moved around a DrawView.
*/


@interface IconCell:DrawCell	
	{
	id 		icon;
	}

- init;
- drawSelf:(const NXRect*) rects:(int) rectCount;	// draws the cell
- (BOOL) hit:(NXEvent*) theEvent;					// tests if hit at a point
- mouseDown:(NXEvent*) theEvent;					// handles mouseDown events
- mouseDragged:(NXEvent*) theEvent;				// ... etc.
- mouseUp:(NXEvent*) theEvent;						// ... etc.

@end