#import "DrawCell.h"		// which imports appkit

/*
RectangleCell:
	Subclasses from DrawCell:Object
	August 5, 1993
	Sean Luke
	
Draws a rectangle object to be moved around a DrawView.
*/


@interface RectangleCell:DrawCell	
	{
	NXSize		rectangle_size;
	float		line_width;				// width is >=0
	float		line_gray;				// grays are between 0 and 1
	float		fill_gray;
	}

- init;
- drawSelf:(const NXRect*) rects:(int) rectCount;	// draws the cell
- (BOOL) hit:(NXEvent*) theEvent;					// tests if hit at a point
- mouseDown:(NXEvent*) theEvent;					// handles mouseDown events
- mouseDragged:(NXEvent*) theEvent;				// ... etc.
- mouseUp:(NXEvent*) theEvent;						// ... etc.

@end